Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface Symbology

    public interface Symbology

The `Symbology` interface is used to expose a number of properties for a given type of symbology. Each symbology type has a well defined list of properties that can exist for a symbol graphic. This interface allows you to get or set the values of those properties on the graphic.

Method Summary
`SymbologyInfo` | `getActiveSymbology()` Gets the active symbology name that is being used to render this graphic symbol.
`Object` | `getSymbologyProperty(SymbologyInfo info, String propertyName)` Gets the property value defined by the given property name
`int` | `getSymbologyPropertyCount(SymbologyInfo info)` Gets the number of properties that exist for the graphic that uses this symbology.
`String[]` | `getSymbologyPropertyNames(SymbologyInfo info)` Gets the list of all the property names that exist for the graphic that uses this symbology.
`Class` | `getSymbologyPropertyType(SymbologyInfo info, String propertyName)` Gets the java class type for the property value defined by the property name.
`void` | `setActiveSymbology(SymbologyInfo info)` Sets the active symbology name that is being used to render this graphic symbol.
`void` | `setSymbologyProperty(SymbologyInfo info, String propertyName, Object value)` Sets the value of a property for the given property name

Method Detail

### getSymbologyPropertyCount

    int getSymbologyPropertyCount(SymbologyInfo info)

  Gets the number of properties that exist for the graphic that uses this symbology.

  Returns:
    the number of properties for the graphic

### getSymbologyPropertyNames

    String[] getSymbologyPropertyNames(SymbologyInfo info)

  Gets the list of all the property names that exist for the graphic that uses this symbology.

  Returns:
    the list of property names

### getSymbologyPropertyType

    Class getSymbologyPropertyType(SymbologyInfo info,
                                   String propertyName)

  Gets the java class type for the property value defined by the property name.

  Parameters:
    `propertyName` - the name of the property in question
  Returns:
    the java class of the property value

### getSymbologyProperty

    Object getSymbologyProperty(SymbologyInfo info,
                                String propertyName)
                                throws IllegalArgumentException

  Gets the property value defined by the given property name

  Parameters:
    `propertyName` - the name of the property to look up
  Returns:
    the value of the property
  Throws:
    `IllegalArgumentException` - if the property name isn't a valid one

### setSymbologyProperty

    void setSymbologyProperty(SymbologyInfo info,
                              String propertyName,
                              Object value)
                              throws IllegalArgumentException

  Sets the value of a property for the given property name

  Parameters:
    `propertyName` - the property to set
    `value` - the value of the property
  Throws:
    `IllegalArgumentException` - if the property name isn't valid or if the value is of the wrong java class type

### getActiveSymbology

    SymbologyInfo getActiveSymbology()

  Gets the active symbology name that is being used to render this graphic symbol. An active symbology will use the settings that were set on the Symbology object that will define how the graphic is displayed

  Returns:
    the active symbology name

### setActiveSymbology

    void setActiveSymbology(SymbologyInfo info)
                            throws IllegalArgumentException

  Sets the active symbology name that is being used to render this graphic symbol.

  Parameters:
    `info` - the new active symbology
  Throws:
    `IllegalArgumentException` - if the symbology isn't supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.